# Script collection by lanxu :muscle:
This is a general collection of useful scripts used by me. Most of the scripts are written or modified by me.

## Scripts by others

Script       | Description
-------------|----------------------------------------------------------------
dropbox.py   | Copyright (c) Dropbox, Inc. Changed to target python2
             | https://www.dropbox.com/download?dl=packages/dropbox.py



## Scripts by me

Script           | Description
-----------------|-------------------------------------------------------------
getGPUTemp.py    | Fetches GPU temperature as float. Logging enabled
encodeVP9.py     | Encodes files to VP9
extract.py       | Extracts input files with directory awareness 
                 | (similar to nautilus)
run-desktop.py   | Run .desktop file
-----------------|-------------------------------------------------------------
run-once         | Wrapper script to run executable only once. In short, it
                 |  prevents two or more instances of the same binary to run
                 |  at the same time
extract          | Wrapper script for extract.py. Enables wildcards like
                 |  extract *.rar
runDesktop.sh    | Give this script .desktop file and it runs the program
runWinePrefix.sh | Give this script prefix name and binary and it runs wine
                 |  with that prefix
sxiv_browser.sh  | Awesome sxiv_browser.sh script. Ported from feh_browser.sh
                 |  https://wiki.archlinux.org/index.php/Talk:Feh
setTheme.sh      | Set GTK2 and GTK3 themes in case lxappearance is unable to
                 |  help


## Other remarks
There are a few scripts that are just thrown to the mix in case I need them at some point.

convertAtlasXMLToJson.php (convert sprite atlases to json)
sortPackagesBySize.sh (pacman script to sort packages by used size)

